package cz.vsb.fei.efrei.lab04;

import java.util.List;
import java.util.stream.Stream;

public class Army {

	private String name;
	private List<? extends Fighter> soldiers;

	public Army(String name, List<? extends Fighter> soldiers) {
		this.name = name;
		this.soldiers = soldiers;
	}

	public String getName() {
		return name;
	}

	public List<? extends Fighter> getSoldiers() {
		return soldiers;
	}

	public static Army generate() {
		List<? extends Fighter> soldiers = Stream.generate(Utils::generateHeroName).map(Hero::new).limit(2000).toList();
		return new Army("Army of general "  +Utils.generateHeroName(), soldiers); 
	}

}
