package cz.vsb.fei.efrei.lab04;

import java.util.List;
import java.util.Random;

public class Car {

	@Order(2)
	@Formatter(name = "Nuber of Doors", length = 1)
	private int numberOfDors;
	@Order(1)
	@Formatter(name = "Car maker", length = 10)
	private String producer;
	@Order(3)
	@Formatter(name = "Horse power", length = 5)
	private double engineStrength;

	public Car(int numberOfDors, String producer, double engineStrength) {
		this.numberOfDors = numberOfDors;
		this.producer = producer;
		this.engineStrength = engineStrength;
	}

	public int getNumberOfDors() {
		return numberOfDors;
	}

	public void setNumberOfDors(int numberOfDors) {
		this.numberOfDors = numberOfDors;
	}

	public String getProducer() {
		return producer;
	}

	public void setProducer(String producer) {
		this.producer = producer;
	}

	public double getEngineStrength() {
		return engineStrength;
	}

	public void setEngineStrength(double engineStrength) {
		this.engineStrength = engineStrength;
	}

	public static Car generate() {
		return new Car(RANDOM.nextInt(2,5), carProducers.get(RANDOM.nextInt(carProducers.size())), RANDOM.nextDouble(100, 1000));
	}
	
	private static final Random RANDOM = new Random();
	private static List<String> carProducers = List.of(
            "Toyota", "Ford", "BMW", "Mercedes-Benz", "Audi",
            "Volkswagen", "Honda", "Chevrolet", "Nissan", "Hyundai"
        );
}
