package cz.vsb.fei.efrei.lab04;

import java.util.Objects;

public class HeroWithEqualsAndHashcode extends Hero {

	public HeroWithEqualsAndHashcode(String name) {
		super(name);
	}

	public HeroWithEqualsAndHashcode(String name, int strenght) {
		super(name, strenght);
	}
	
	@Override
	public int hashCode() {
		return Objects.hash(name, strenght);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Hero other = (Hero) obj;
		return Objects.equals(name, other.name) && strenght == other.strenght;
	}

}
