package cz.vsb.fei.efrei.lab04;

import java.util.Arrays;
import java.util.List;
import java.util.Random;

public class Utils {

	public static final Random RANDOM = new Random();
	private static List<String> heroNames = Arrays.asList("Captain Freedom", "Iron Blade", "Shadow Hunter",
			"ČSilver Hawk", "ŽMighty Thunder", "ĚLunar Knight", "Phoenix Blaze", "Stormbreaker", "Star Guardian",
			"ŇSolar Sentinel", "Dark Raven", "Blaze Falcon", "Crystal Viper", "Lightning Strike", "Firestorm",
			"Eagle Eye", "Nightshade", "Frostbite", "Wind Whisperer", "Shadow Blaze");

	private static List<String> monsterNames = Arrays.asList("Nightmare Reaper", "Shadow Fiend", "Bonecrusher",
			"ÁVenomous Hydra", "ÉDoomfang", "Blightbringer", "Void Stalker", "Inferno Drake", "Ghoul King", "Frost Wyrm",
			"Terrorclaw", "ÍBloodfeast", "Ravenous Maw", "Storm Serpent", "Hellhound", "Dark Overlord", "Necroshade",
			"Plaguebeast", "Stone Golem", "Fire Leviathan");

	public static String generateHeroName() {
		return heroNames.get(RANDOM.nextInt(heroNames.size()));
	}
	public static String generateMonsterName() {
		return monsterNames.get(RANDOM.nextInt(monsterNames.size()));
	}
	
	public static <T> T getRandom(List<T> list) {
		return list.get(RANDOM.nextInt(list.size()));
	}
}
